RKWARD(1)

NAME
rkward - A KDE frontend to R

SYNOPSIS

rkward [--evaluate Rcode] [--debug-level level] [--debug-flags flags] [--debug-output where] [--backend-debugger debugger_command] [--r-executable path_to_executable] [--reuse] [--autoreuse] [--nowarn-external] [KDE Generic Options] [Qt Generic Options] [files_to_open]

DESCRIPTION

RKWard is the a KDE-based GUI and IDE for the R scripting language for statistical computing.

For more information, please refer to the RKWard website[1], and the documentation provided inside RKWard.

OPTIONS

--evaluate Rcode
    The given R code is evaluated after RKWard has started, and after any specified workspace is loaded. Mostly useful for automated testing.

--debug-level level
    Verbosity of debug output. 0-5, where 0 is no output, 5 is all output including function trace information. Default is 2.

--debug-output where
    Where to send debug output. Default is to store it in a file in the temporary directory. Specifying "terminal" will write debug output to stderr, instead (useful for debugging startup problems). Note that debug output from the backend process is always stored in a file.

--debug-flags flags
    Configure which sections of code to debug. Flags are given as a binary number. Refer to the source files for documentation, as this really is an internal option.

--backend-debugger command
    Run the RKWard backend through the specified debugger command. To add command line options to the debugger command, enclose them in single quotes ('') together with the command. NOTE: Debugger arguments will be split by spaces. If this is not appropriate, you will have to write your own wrapper script for invoking the debugger. Also, make sure to redirect all debugger output and/or input as appropriate. See the examples.

--r-executable command
    In the case of several R installations, specify the installation to use, e.g. /usr/bin/R. You can also use the string "auto", in which case RKWard will try to find R at one of the known standard installation paths. NOTE that while RKWard will often work with newer versions of R, it will sometimes need to be re-compiled for that version, or it may be incompatible altogether.

    This option changes the R installation only for the current session, not persistently.

--reuse
    If an instance of RKWard is already running, bring that to the front, and open files_to_open. Note that all other command line options will be ignored in case an instance is reused.

--autoreuse
    Behaves like --reuse, if any file arguments are also given, starts a new instance, otherwise. Intended for use in the .desktop file.

--nowarn-external
    Usually, when invoking RKWard plugins from the command line (i.e. when files_to_open contains URLs of the form rkward://runplugin/...), RKWard will show a warning that such URLs could be used to trigger malicious actions on your system. This warning applies specifically to links found on untrusted websites, or other untrusted external sources. If you want to script RKWard locally, you can avoid this warning by adding --nowarn-external to the command line.

    (If used in combination with --reuse, then *both* commands in question will need to be invoked with --nowarn-external, in order to suppress the warning.)

--setup
    Act as if a new version of RKWard had been installed, importantly re-installing the R support package, and showing the setup wizard. This feature is mostly targetted at developers, and testers.

--quirkmode
    Disable some startup validation code. Experimental option, not intended for regular use.

files_to_open
    You can specify any number of file names or URLs for RKWard to open. Usually this will be either workspace files, workplace files, R script files, or rkward:// URLs (e.g. for starting with a plugin dialog). Specifying more than one workspace file will lead to the workspaces being merged together, and is not recommended.

SEE ALSO

R(1)

EXAMPLES

    # Start with the t-test dialog
    rkward --nowarn-external rkward://runplugin/rkward::t_test/
    # Open two script files in a running instance of RKWard (or in a fresh instance, if RKWard is not running)
    rkward --reuse file_a.R file_b.R

    # Run the rkward backend through valgrind
    rkward --backend-debugger 'valgrind --log-file=valgrind.log'

AUTHORS

RKWard was written by Thomas Friedrichsmeier and the RKWard team. See the RKWard website[1].

AUTHOR

Thomas Friedrichsmeier <rkward-devel@kde.org>
    RKWard man page.

NOTES

1.  the RKWard website
    https://rkward.kde.org/